Google Web Toolkit (Beta)
Search this site:

# Interface SourcesMouseEvents

public interface SourcesMouseEvents
// Implemented by `RichTextArea`, `Label`, `Image`, `FocusPanel`
A widget that implements this interface sources the events defined by the MouseListener interface.

## Methods

addMouseListener(MouseListener) | Adds a listener interface to receive mouse events.
removeMouseListener(MouseListener) | Removes a previously added listener interface.

## Method Detail

### addMouseListener

public void addMouseListener(MouseListener listener)
Adds a listener interface to receive mouse events.

#### Parameters

listener
  the listener interface to add

### removeMouseListener

public void removeMouseListener(MouseListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove